# List Instruments

List instruments with cursor-based pagination.

Pagination:
- cursor: Opaque cursor from previous response
- Use next_cursor from response for next page

Endpoint: GET /instruments
Version: 0.1.0

## Query parameters:

  - `limit` (integer)
    Maximum number of records to return

  - `cursor` (any)
    Cursor for pagination (use next_cursor from previous response)

## Header parameters:

  - `X-API-Key` (any)

## Response 200 fields (application/json):

  - `instruments` (array, required) — one of:
    - InstrumentResponseMexicanClabe:
      - `org_id` (string, required)
        ID of the organization this instrument belongs to
      - `customer_id` (string, required)
        ID of the customer that owns this instrument
      - `type` (string, required)
        Type of instrument (card, bank_account, other)
        Enum: "mx_direct_debit_card", "mx_clabe"
      - `description` (any)
        Description of the instrument
      - `status` (string)
        Current status of the instrument
        Enum: "active", "inactive", "verification_in_progress", "errored"
      - `mx_clabe` (any)
        CLABE instrument for Mexico
        - `clabe` (string, required)
          CLABE number
        - `can_credit` (any)
          Whether this instrument can receive credits
        - `can_debit` (any)
          Whether this instrument can be debited
      - `currency` (any)
        ISO 4217 currency code
      - `ownership_verification_result` (any)
        Result of ownership verification
      - `ownership_verification_result_at` (any)
        When ownership verification was completed
      - `id` (string, required)
      - `created_at` (string, required)
      - `updated_at` (any)
    - InstrumentResponseMexicanDirectDebitCard:
      - `org_id` (string, required)
        ID of the organization this instrument belongs to
      - `customer_id` (string, required)
        ID of the customer that owns this instrument
      - `type` (string, required)
        Type of instrument (card, bank_account, other)
        Enum: same as `type` in "InstrumentResponseMexicanClabe" (2 values)
      - `description` (any)
        Description of the instrument
      - `status` (string)
        Current status of the instrument
        Enum: same as `status` in "InstrumentResponseMexicanClabe" (4 values)
      - `mx_direct_debit_card` (any)
        Card instrument for Mexico Direct Debit
        - `card_number` (string, required)
          Card number
        - `bank` (string, required)
          Bank identifier
          Enum: "mx_santander", "mx_banorte", "mx_bbva", "mx_banamex", "mx_hsbc", "mx_citi", "mx_banjercito", "mx_bajio", "mx_inbursa", "mx_invex", "mx_america", "mx_vepormas", "mx_azteca", "mx_multiva", "mx_actinver", "mx_bancoppel", "mx_fundaciondonde", "mx_bancrea", "mx_bankaaol", "mx_scotiabank", "mx_banregio", "mx_afirme", "mx_compartamos", "mx_base", "mx_ci", "mx_mifel", "mx_interbanco", "mx_sabadell"
      - `currency` (any)
        ISO 4217 currency code
      - `ownership_verification_result` (any)
        Result of ownership verification
      - `ownership_verification_result_at` (any)
        When ownership verification was completed
      - `id` (string, required)
      - `created_at` (string, required)
      - `updated_at` (any)

  - `limit` (integer, required)

  - `has_next` (boolean)

  - `has_previous` (boolean)

  - `next_cursor` (any)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


